package cn.edu.whu.boot.user.controllers.dtos;

/**
 * 只包含用户 ID、用户名、用户角色名称
 */
public class UserWithoutPrivateInfo {
    private Integer id;

    private String username;

    private String role;

    private String realName;

    public UserWithoutPrivateInfo()
    {
    }

    public UserWithoutPrivateInfo(Integer id , String username , String role)
    {
        this.id = id;
        this.username = username;
        this.role = role;
    }

    public Integer getId()
    {
        return id;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getRole()
    {
        return role;
    }

    public void setRole(String role)
    {
        this.role = role;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }
}
